Bug 186097 - net/avahi-app dumps core signal 11 on Freebsd 10 release or freebsd 10 stable
Summary: net/avahi-app dumps core signal 11 on Freebsd 10 release or freebsd 10 stable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-25 15:10 UTC by lenzi.sergio
Modified: 2014-01-31 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lenzi.sergio 2014-01-25 15:10:00 UTC
The avahi-daemon program from net/avahi-app, when build within FreeBSD 10 RELEASE
dumps core on exec.
Unable to track the problem, as it dumps core BEFORE entering in the main() procedure, thus gdb is useless
=============gdb avahi-daemon==============
#0  0x0000000801304604 in pthread_testcancel () from /lib/libthr.so.3
#1  0x00000008012fc706 in open () from /lib/libthr.so.3
#2  0x0000000801517227 in __gets_chk () from /lib/libssp.so.0
#3  0x00000008015173d2 in __chk_fail () from /lib/libssp.so.0
#4  0x0000000801516ace in .init () from /lib/libssp.so.0
#5  0x00007fffffffd130 in ?? ()
#6  0x000000080061e6d1 in r_debug_state () from /libexec/ld-elf.so.1
#7  0x000000080061dd57 in __tls_get_addr () from /libexec/ld-elf.so.1
#8  0x000000080061c099 in .text () from /libexec/ld-elf.so.1
#9  0x0000000000000000 in ?? ()
=======================================

How-To-Repeat: compile and install net/avahi-app on a 10.0 RELEASE.
tested both on 10.0 RELEASE and 10.0 STABLE
The same program when compiled in 9.2 (any version) works..
may be a bug in libthr.so.3???
Comment 1 Edwin Groothuis freebsd_committer 2014-01-27 04:15:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ahanikel 2014-01-31 08:03:24 UTC
Hi,

FYI this post http://docs.freebsd.org/cgi/getmsg.cgi?fetch=689934+0+current/freebsd-ports fixed the problem for me.

Bye!
	Axel
Comment 3 dfilter service freebsd_committer 2014-01-31 17:13:54 UTC
Author: kwm
Date: Fri Jan 31 17:13:46 2014
New Revision: 342046
URL: http://svnweb.freebsd.org/changeset/ports/342046
QAT: https://qat.redports.org/buildarchive/r342046/

Log:
  Disable stack protector, this should fix avahi-app segfaults people are
  reporting.
  
  PR:		ports/186097
  Submitted by:	sergio lenzi <lenzi.sergio@gmail.com>

Modified:
  head/net/avahi-app/Makefile

Modified: head/net/avahi-app/Makefile
==============================================================================
--- head/net/avahi-app/Makefile	Fri Jan 31 17:13:02 2014	(r342045)
+++ head/net/avahi-app/Makefile	Fri Jan 31 17:13:46 2014	(r342046)
@@ -4,7 +4,7 @@
 
 PORTNAME=	avahi
 PORTVERSION=	0.6.31
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES?=	net dns
 MASTER_SITES=	http://www.avahi.org/download/
 PKGNAMESUFFIX?=	-app
@@ -88,6 +88,7 @@ CONFIGURE_ARGS+=--enable-mono
 .else
 CONFIGURE_ARGS+=--disable-mono
 .endif
+CONFIGURE_ARGS+=--disable-stack-protector
 
 post-patch: avahi-post-patch
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2014-01-31 17:14:17 UTC
State Changed
From-To: open->closed

Committed the disable stack protector, thanks for reporting.